List transactions by tag
Use this endpoint to get a list of all transactions associated with a particular tag according to the tag's unique GUID. This lists all transactions that have been assigned to a particular tag using the create tagging endpoint.
Enhanced transaction data may be requested using the includes[] query parameter. Accepted values: category, counterparties, merchant, repeating_transaction. For more information, see the Optional Enhancement Query Parameter guide.
Path Parameters
| Field | Required | Type |
|---|---|---|
user_identifier Use either the user | Required | String |
tag_guid The unique id for a | Required | String |
Query Parameters
| Field | Required | Type |
|---|---|---|
page Results are paginated. Specify current page. | Optional | Integer |
records_per_page This specifies the number of records to be returned on each page. Defaults to | Optional | Integer |
from_date Filter transactions from this date. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 120 days ago if not provided. Maximum date range limit is 6 months. | Optional | String |
to_date Filter transactions to this date (at midnight). This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 5 days forward from the day the request is made to capture pending transactions. Maximum date range limit is 6 months. | Optional | String |
from_created_at Filter transactions from the date the transaction was created. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months. | Optional | String |
to_created_at Filter transaction to the date in which the transaction was created. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months. | Optional | String |
from_updated_at Filter transactions from the date the transaction was updated. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months. | Optional | String |
to_updated_at Filter transactions to the date in which the transaction was updated. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months. | Optional | String |
category_guid Filter transactions belonging to specified For example, | Optional | String |
category_guid[] Filter transactions belonging to any specified For example, | Optional | Array |
top_level_category_guid Filter transactions belonging to specified For example, | Optional | String |
top_level_category_guid[] Filter transactions belonging to any specified For example, | Optional | Array |
use_case The use case associated with the member. Valid values are | Optional | String |
includes Enrich transaction responses with additional metadata. Pass one or more values as an array to selectively include data. Accepted values: Example: For more information, see the Optional Enhancement Query Parameter guide. | Optional | Array |
Header Parameters
| Field | Required | Type |
|---|---|---|
Accept-Version MX Platform API version. | Required | String |